LosslessMapping (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph.ds2ps
Class LosslessMapping

    java.lang.Object
      org.maltparser.core.syntaxgraph.ds2ps.LosslessMapping

All Implemented Interfaces:
  Dependency2PhraseStructure

    public class LosslessMapping

extends Object
implements Dependency2PhraseStructure

Author:
  Johan Hall

Constructor Summary
`LosslessMapping(DataFormatInstance dependencyDataFormatInstance, DataFormatInstance phraseStructuretDataFormatInstance)`

Method Summary
`void` | `clear()`
`void` | `connectUnattachedSpines(MappablePhraseStructureGraph graph)`
`DataFormatInstance` | `getDependencyDataFormatInstance()`
`HeadRules` | `getHeadRules()`
`String` | `getOptionString()`
`DataFormatInstance` | `getPhraseStructuretDataFormatInstance()`
`void` | `setDependencyDataFormatInstance(DataFormatInstance dependencyDataFormatInstance)`
`void` | `setHeadRules(HeadRules headRules)`
`void` | `setHeadRules(String headRulesURL)`
`void` | `setOptionString(String optionString)`
`void` | `setPhraseStructuretDataFormatInstance(DataFormatInstance phraseStructuretDataFormatInstance)`
`void` | `update(MappablePhraseStructureGraph graph, Edge e, Object arg)`
`void` | `updateDependenyGraph(MappablePhraseStructureGraph graph, PhraseStructureNode top)`
`void` | `updatePhraseStructureGraph(MappablePhraseStructureGraph graph, Edge depEdge, boolean attachHeadSpineToRoot)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LosslessMapping

    public LosslessMapping(DataFormatInstance dependencyDataFormatInstance,
                           DataFormatInstance phraseStructuretDataFormatInstance)

Method Detail

### clear

    public void clear()

### getOptionString

    public String getOptionString()

### setOptionString

    public void setOptionString(String optionString)

### getDependencyDataFormatInstance

    public DataFormatInstance getDependencyDataFormatInstance()

### setDependencyDataFormatInstance

    public void setDependencyDataFormatInstance(DataFormatInstance dependencyDataFormatInstance)

### getPhraseStructuretDataFormatInstance

    public DataFormatInstance getPhraseStructuretDataFormatInstance()

### setPhraseStructuretDataFormatInstance

    public void setPhraseStructuretDataFormatInstance(DataFormatInstance phraseStructuretDataFormatInstance)

### update

    public void update(MappablePhraseStructureGraph graph,
                       Edge e,
                       Object arg)
                throws MaltChainedException

  Throws:
    `MaltChainedException`

### updateDependenyGraph

    public void updateDependenyGraph(MappablePhraseStructureGraph graph,
                                     PhraseStructureNode top)
                              throws MaltChainedException

  Throws:
    `MaltChainedException`

### connectUnattachedSpines

    public void connectUnattachedSpines(MappablePhraseStructureGraph graph)
                                 throws MaltChainedException

  Throws:
    `MaltChainedException`

### updatePhraseStructureGraph

    public void updatePhraseStructureGraph(MappablePhraseStructureGraph graph,
                                           Edge depEdge,
                                           boolean attachHeadSpineToRoot)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### getHeadRules

    public HeadRules getHeadRules()

### setHeadRules

    public void setHeadRules(HeadRules headRules)

### setHeadRules

    public void setHeadRules(String headRulesURL)
                      throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.